Bug 246391 - [exp-run] devel/scons: Update to 3.1.2
Summary: [exp-run] devel/scons: Update to 3.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks: 241463
  Show dependency treegraph
 
Reported: 2020-05-11 20:37 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2020-05-25 19:05 UTC (History)
3 users (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-11 20:37:39 UTC
Update devel/scons to 3.1.2

- Enable python flavor
- Update USES=scons to specify python version

Changes:        https://scons.org/tag/releases.html
                https://github.com/SCons/scons/blob/master/src/CHANGES.txt
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-16 14:11:28 UTC
(In reply to VVD from comment #1)

The update is trivial. The most important part in the exp-run is to support flavored scons (via scons.mk) and fix dependent ports.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-16 14:12:23 UTC
@antoine: Patch updated with fixes. Thanks!
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-21 18:52:16 UTC
Sorry, I fixed them but did not include in the patch v2 because they are not in original diff list for USES=scons:python2. Here's v3 patch.
Comment 7 Antoine Brodin freebsd_committer 2020-05-23 19:20:10 UTC
Exp-run looks fine
Comment 8 commit-hook freebsd_committer 2020-05-25 18:32:08 UTC
A commit references this bug:

Author: sunpoet
Date: Mon May 25 18:31:34 UTC 2020
New revision: 536494
URL: https://svnweb.freebsd.org/changeset/ports/536494

Log:
  Update devel/scons to 3.1.2

  - Enable python flavor

  Changes:	https://scons.org/tag/releases.html
  		https://github.com/SCons/scons/blob/master/src/CHANGES.txt
  PR:		246391
  Exp-run by:	antoine

Changes:
  head/devel/scons/Makefile
  head/devel/scons/distinfo
Comment 9 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-25 19:05:06 UTC
Committed. Thanks!